#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <malloc.h>
#include <wiiuse/wpad.h>
#include <ogcsys.h>
#include <gccore.h>
#include <fat.h>

#include "syswii.h"

//////////////////////////////////////////////////////////////////////////////

/* PowerOff DVD Drive */
int DVDStopMotor(void)
{
	static char dvdstr[] ATTRIBUTE_ALIGN(32) = "/dev/di";
	s32 fd;
	u8 buf[0x20];
	u8 outbuf[0x20];

	if ((fd = IOS_Open(dvdstr,0)) < 0)
		return 0;
	
	((u32 *)buf)[0x00] = 0xE3000000;
	((u32 *)buf)[0x01] = 0;
	((u32 *)buf)[0x02] = 0;

	IOS_Ioctl(fd, buf[0], buf, 0x20, outbuf, 0x20);

	IOS_Close(fd);

	return 1;
}

//////////////////////////////////////////////////////////////////////////////

/* Return to the Wii system menu */
void Exit_ToWiiMenu(void)
{
	SYS_ResetSystem(SYS_RETURNTOMENU, 0, 0);
}

//////////////////////////////////////////////////////////////////////////////

/* Return to the HBC menu */
void Exit_ToHBCMenu(void)
{
	exit(0);
}
